* Module ctmsg.h  V010AM01 === 091487
*
*    PROPRIETARY PROGRAM MATERIAL
* REPRODUCTION OR DISCLOSURE IS PROHIBITED WITHOUT WRITTEN AUTHORIZATION
* OF THE PATENT DIVISION OF UNISYS CORPORATION, DETROIT, MICHIGAN 48232, USA.
* COPYRIGHT (C) 1987 BORLAND INTERNATIONAL
* COPYRIGHT (C) 1987 UNISYS CORPORATION
*
if	defined(__ERCTYPE)
define	__ERCTYPE

typedef	unsigned	ErcType;
endif

struct	RqHdr	{
	unsigned	sCntInfo;
	unsigned char	nReqPbCb;
	unsigned char	nRespPbCb;
	unsigned	userNum;
	unsigned	exchResp;
	unsigned	ercRet;
	unsigned	rqCode;
	};

ErcType	Check plm far(unsigned exchange, void *far *far ppMsgRet);
ErcType	PSend plm far(unsigned exchange, void *far pMsg);
ErcType	Request plm far(struct RqHdr *far pRq);
ErcType	Respond plm far(struct RqHdr *far pRq);
ErcType	Send plm far(unsigned exchange, void *far pMsg);
ErcType	Wait plm far(unsigned exchange, void *far *far ppMsgRet);
